from setuptools import setup, find_packages
from setuptools.command.test import test as TestCommand
import os
import sys
import multiprocessing # neccessary to keep setuptools quiet in tests

version = '0.1dev'
tests_path = os.path.join(os.path.dirname(__file__), 'src')
class PyTest(TestCommand):
    def finalize_options(self):
        TestCommand.finalize_options(self)
        args = sys.argv[sys.argv.index('test')+1:]
        self.test_args = args
        self.test_suite = True
    def run_tests(self):
        #import here, cause outside the eggs aren't loaded
        import pytest
        errno = pytest.main(self.test_args)
        sys.exit(errno)

setup(name='pyfprint',
      version=version,
      description="Python wrapper around libprintf.",
      long_description=open("README.rst").read() + "\n\n" +
                       open("CHANGES.rst").read(),
      classifiers=[
          "Development Status :: 3 - Alpha",
          "License :: OSI Approved :: GNU General Public License (GPL)",
          "Programming Language :: Python",
          "Programming Language :: Python :: 2 :: Only",
          "Programming Language :: Python :: 2.6",
          "Programming Language :: Python :: 2.7",
          "Operating System :: POSIX",
          "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='fingerprint fprint libfprint',
      author='Uli Fouquet',
      author_email='uli at gnufix.de',
      url='http://pypi.python.org/pypi/pyfprint',
      license='GPL',
      packages=find_packages('src', exclude=['ez_setup']),
      package_dir = {'': 'src'},
      #namespace_packages=['ulif', ],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
      ],
      setup_requires=[],
      extras_require=dict(
          tests = [
              'pytest >= 2.0.3',
              'pytest-xdist',
              'pytest-cov',
              ],
          docs = ['Sphinx',
                  ]
          ),
      cmdclass = {'test': PyTest},
      entry_points="""
      """,
      )
